Main Struct Reference

`#include <test-main.h>`

Inheritance diagram for Main:
[legend]
Collaboration diagram for Main:
[legend]

## Public Member Functions

| Main ()
void | child ()
void | processStatus (std::string line)
void | status (std::string line)
void | confirm ()
void | waitForAck ()
int | main (int _argc, char **_argv)

## Public Attributes

int | suite
int | test
wibble::sys::Pipe | p_status
wibble::sys::Pipe | p_confirm
int | status_fds [2]
int | confirm_fds [2]
pid_t | pid
int | argc
char ** | argv
pid_t | finished
int | status_code
int | test_ok
int | suite_ok
int | suite_failed
int | total_ok
int | total_failed
int | announced_suite
std::string | current
bool | want_fork
RunAll | all

## Constructor & Destructor Documentation

## Main()

Main::Main | ( |  | ) |

inline

References announced_suite, suite_failed, suite_ok, test_ok, total_failed, and total_ok.

## Member Function Documentation

## child()

void Main::child | ( |  | ) |

inline

References all, argc, argv, confirm_fds, wibble::list::end(), RunAll::findSuite(), RunSuite::findTest(), p_confirm, RunAll::runFrom(), RunAll::runSuite(), RunAll::runTest(), status(), status_fds, suite, and test.

Referenced by main().

## confirm()

void Main::confirm | ( |  | ) |

inline

References confirm_fds, and want_fork.

Referenced by processStatus().

## main()

int Main::main | ( | int | _argc,
|  | char ** | _argv
| ) |  |

inline

References all, argc, argv, child(), confirm_fds, RunAll::feedback, pid, status_fds, RunAll::suiteCount, RunAll::suites, and want_fork.

Referenced by main().

## processStatus()

void Main::processStatus | ( | std::string | line | ) |

inline

References announced_suite, assert, assert_eq, confirm(), current, finished, pid, status_code, suite, suite_failed, suite_ok, test, test_ok, total_failed, total_ok, and want_fork.

Referenced by status().

## status()

void Main::status | ( | std::string | line | ) |

inline virtual

Implements RunFeedback.

References processStatus(), status_fds, and want_fork.

Referenced by child().

## waitForAck()

void Main::waitForAck | ( |  | ) |

inline virtual

Implements RunFeedback.

References assert_eq, wibble::sys::Pipe::nextLineBlocking(), p_confirm, and want_fork.

## Member Data Documentation

## all

RunAll Main::all

Referenced by child(), and main().

## announced_suite

int Main::announced_suite

Referenced by Main(), and processStatus().

## argc

int Main::argc

Referenced by child(), and main().

## argv

char** Main::argv

Referenced by child(), and main().

## confirm_fds

int Main::confirm_fds[2]

Referenced by child(), confirm(), and main().

## current

std::string Main::current

Referenced by processStatus().

## finished

pid_t Main::finished

Referenced by processStatus().

## p_confirm

wibble::sys::Pipe Main::p_confirm

Referenced by child(), and waitForAck().

## p_status

wibble::sys::Pipe Main::p_status

## pid

pid_t Main::pid

Referenced by main(), and processStatus().

## status_code

int Main::status_code

Referenced by processStatus().

## status_fds

int Main::status_fds[2]

Referenced by child(), main(), and status().

## suite

int Main::suite

Referenced by child(), and processStatus().

## suite_failed

int Main::suite_failed

Referenced by Main(), and processStatus().

## suite_ok

int Main::suite_ok

Referenced by Main(), and processStatus().

## test

int Main::test

Referenced by child(), and processStatus().

## test_ok

int Main::test_ok

Referenced by Main(), and processStatus().

## total_failed

int Main::total_failed

Referenced by Main(), and processStatus().

## total_ok

int Main::total_ok

Referenced by Main(), and processStatus().

## want_fork

bool Main::want_fork

Referenced by confirm(), main(), processStatus(), status(), and waitForAck().

The documentation for this struct was generated from the following file:

- test-main.h